Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
load_file_arg Struct Reference

## Data Fields
VALUE | parser
VALUE | fname
int | script
ruby_cmdline_options_t * | opt
VALUE | f

## Detailed Description

Definition at line 1937 of file ruby.c.

## Field Documentation

## ◆ f

VALUE load_file_arg::f

Definition at line 1942 of file ruby.c.

## ◆ fname

VALUE load_file_arg::fname

Definition at line 1939 of file ruby.c.

Referenced by rb_load_file().

## ◆ opt

ruby_cmdline_options_t* load_file_arg::opt

Definition at line 1941 of file ruby.c.

Referenced by rb_parser_load_file(), and ruby_process_options().

## ◆ parser

VALUE load_file_arg::parser

Definition at line 1938 of file ruby.c.

## ◆ script

int load_file_arg::script

Definition at line 1940 of file ruby.c.

The documentation for this struct was generated from the following file:

- ruby.c